set terminal postscript enhanced color eps

set style data lines
set style line 1  linetype -1 linewidth 3 lc rgb "#990000"
set style line 2  linetype -1 linewidth 3 lc rgb "#009900"
set style line 3  linetype -1 linewidth 3 lc rgb "#000099"
set style line 4  linetype -1 linewidth 3 lc rgb "#AAAA00"
set style increment user

set size 0.75,0.75
set border lw 2

set key top left Left reverse
set grid
set logscale x
set xlabel "Matrix Size"
set format x "10^{%L}"

#######

set output "intel_edison_gemm.eps"
set ylabel "GFLOPs"
set title "Matrix-Matrix Product on Intel Edison (0.9 Watt)"
plot 'sgemm.txt'        using 1:($2/1000.0) with linesp ls 1 pt  5 ps 1.5 title "float", \
     'dgemm.txt'        using 1:($2/1000.0) with linesp ls 2 pt  7 ps 1.5 title "double"


set key top right Left reverse
set output "intel_edison_stream.eps"
set title "STREAM Benchmark on Intel Edison (1.5 Watt)"
set ylabel "Memory Bandwidth (GB/sec)"
set xlabel "STREAM Array Size"
set yrange [0:5]
plot 'stream_copy.txt'          using 1:($2/1000.0) with linesp ls 1 pt  5 ps 1.5 title "COPY", \
     'stream_scale.txt'         using 1:($2/1000.0) with linesp ls 2 pt  7 ps 1.5 title "SCALE", \
     'stream_add.txt'           using 1:($2/1000.0) with linesp ls 3 pt  9 ps 1.5 title "ADD", \
     'stream_triad.txt'         using 1:($2/1000.0) with linesp ls 4 pt 11 ps 1.5 title "TRIAD"


